BIO_COPY_USER(9)

NAME
bio_copy_user - copy user data to bio

SYNOPSIS

struct bio * bio_copy_user(struct request_queue * q, struct rq_map_data * map_data, unsigned long uaddr, unsigned int len, int write_to_vm, gfp_t gfp_mask);

ARGUMENTS

q
    destination block queue

map_data
    pointer to the rq_map_data holding pages (if necessary)

uaddr
    start of user address

len
    length in bytes

write_to_vm
    bool indicating writing to pages or not

gfp_mask
    memory allocation flags

DESCRIPTION

Prepares and returns a bio for indirect user io, bouncing data to/from kernel pages as necessary. Must be paired with call bio_uncopy_user on io completion.

COPYRIGHT